#include <bits/stdc++.h>

using namespace std;

int main()
{
 bool palindrom=true;
 string s;
 cin>>s;
 string t=s;
 reverse(t.begin(), t.end());
 for(int i=0;i <s.size();i++){
    if(s[i]!=t[i]) palindrom=false;
 }
 if(palindrom){
    cout<<"1";
 }
 else{
    cout<<"2";
 }
}